import { DesignSystem } from '@microsoft/fast-foundation';
/**
 * @public
 */
export interface DesignSystemModule {
    provideDesignSystem(element?: HTMLElement, prefix?: string): DesignSystem | Pick<DesignSystem, 'register'>;
    [key: string]: any;
}
/**
 * @public
 */
export type DesignSystemResource<T = DesignSystemModule> = Promise<T>;
/**
 * @public
 */
export declare function assureDesignSystem(module: DesignSystemModule): DesignSystemModule;
//# sourceMappingURL=design-system.d.ts.map