/**
 * An object that defines two resource types: "local" and "remote".
 * @public
 */
export declare const ResourceType: {
    readonly local: "local";
    readonly remote: "remote";
};
/**
 * A type that represents the resource types defined by the `ResourceType` object.
 * @public
 */
export type ResourceType = (typeof ResourceType)[keyof typeof ResourceType];
//# sourceMappingURL=types.d.ts.map