/**
 * @internal
 */
export declare const BIG_INT_64_BITS = 64;
/**
 * Configuration options for the JSONSerializer Config instance.
 * @public
 */
export interface JSONSerializerConfig {
    parse(text: string, reviver?: (this: any, key: string, value: any) => any): any;
    parse(text: string, reviver?: (this: any, key: string, value: any) => any, parseNumber?: any): any;
    stringify(value: any, replacer?: (this: any, key: string, value: any) => any, space?: string | number): string;
    stringify(value: any, replacer?: (number | string)[] | null, space?: string | number): string;
}
/**
 * Configuration options for the JSONSerializer Config instance.
 * @internal
 */
export declare const JSONSerializerConfig: import("@microsoft/fast-foundation").InterfaceSymbol<JSONSerializerConfig>;
//# sourceMappingURL=json.types.d.ts.map